@mixin font-face($name, $path, $weight: null, $style: null, $exts: woff2 woff) {
  $src: null;

  $formats: (
    otf: 'opentype',
    ttf: 'truetype'
  );

  @each $ext in $exts {
    $format: if(map-has-key($formats, $ext), map-get($formats, $ext), $ext);
    $src: append($src, url(quote($path + '.' + $ext)) format(quote($format)), comma);
  }

  @font-face {
    font-display: swap;
    font-family: quote($name);
    font-style: $style;
    font-weight: $weight;
    src: $src;
  }
}

@include font-face('Lato', '../fonts/lato/Lato-Thin', 100, normal);
@include font-face('Lato', '../fonts/lato/Lato-ThinItalic', 100, italic);
@include font-face('Lato', '../fonts/lato/Lato-Regular', 400, normal);
@include font-face('Lato', '../fonts/lato/Lato-Italic', 400, italic);
@include font-face('Lato', '../fonts/lato/Lato-Bold', 700, normal);
@include font-face('Lato', '../fonts/lato/Lato-Black', 900, normal);

$systemFont: -apple-system, BlinkMacSystemFont, 'Segoe UI', Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol';

$fallbackSans: $systemFont;

$sans: 'Lato', $fallbackSans;
